//
//  AppDelegate.h
//  MotoCharger
//
//  Created by Scott Gruby on 11/23/06.
//  Copyright 2006 Scott Gruby. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <IOKit/IOKitLib.h>
#import <IOKit/IOMessage.h>
#import <IOKit/IOCFPlugIn.h>
#import <IOKit/usb/IOUSBLib.h>


@interface AppDelegate : NSObject
{
	io_iterator_t			mAddedIter;
	IONotificationPortRef	mNotifyPort;
	NSDictionary			*mMatchDictionary;
}

- (OSStatus)  IORegistryGetUInt16:(io_service_t) service property:(CFStringRef) property number:(UInt16 *) number;
- (BOOL) hasMatchingID:(UInt16) inVendor inProduct:(UInt16) inProduct;

@end
